import 'package:i18n_extension/i18n_extension.dart';

extension SettingsLocalization on String {
  static final _t = Translations.byLocale("hu_hu") +
      {
        "en_en": {
          "heads_up": "Heads up!",
          "export_warning": "Exported grades are currently not yet viewable in reFilc, you'll only be able to view them manually in JSON format. In the future, this functionality will be extended and you will be able to view the tickets in the app interface.",
          "personal_details": "Personal Details",
          "open_dkt": "Open DCS",
          "edit_nickname": "Edit Nickname",
          "edit_profile_picture": "Edit Profile Picture",
          "remove_profile_picture": "Remove Profile Picture",
          "select_profile_picture": "to select a picture",
          "click_here": "Click here",
          "light": "Light",
          "dark": "Dark",
          "system": "System",
          "add_user": "Add User",
          "log_out": "Log Out",
          "update_available": "Update Available",
          "general": "General",
          "language": "Language",
          "startpage": "Startpage",
          "rounding": "Rounding",
          "appearance": "Appearance",
          "theme": "Theme",
          "color": "Color",
          "grade_colors": "Grade Colors",
          "live_activity_color": "Live Activity Color",
          "notifications": "Notifications",
          "popups": "Pop-up Alerts",
          "news": "News",
          "extras": "Extras",
          "about": "About",
          "supporters": "Supporters",
          "privacy": "Privacy Policy",
          "licenses": "Licenses",
          "vibrate": "Vibration",
          "voff": "Off",
          "vlight": "Light",
          "vmedium": "Medium",
          "vstrong": "Strong",
          "cancel": "Cancel",
          "done": "Done",
          "reset": "Reset",
          "open": "Open",
          "data_collected":
              "Data collected: Platform (eg. iOS), App version (eg. 5.0.0), Unique Install Identifier",
          "Analytics": "Analytics",
          "Anonymous Usage Analytics": "Anonymous Usage Analytics",
          "graph_class_avg": "Class average on graph",
          "goodstudent": "Good student mode",
          "attention": "Attention!",
          "goodstudent_disclaimer":
              "reFilc can not be held liable for the usage of this feature.\n\n(if your mother beats you up because you showed her fake grades, you can only blame yourself for it)",
          "understand": "I understand",
          "secret": "Secret Settings",
          "bell_delay": "Bell Delay",
          "delay": "Delay",
          "hurry": "Hurry",
          "sync": "Synchronize",
          "sync_help": "Press the Synchronize button when the bell rings.",
          "surprise_grades": "Surprise Grades",
          "icon_pack": "Icon Pack",
          "change_username": "Set a nickname",
          "Accent Color": "Accent Color",
          "Background Color": "Background Color",
          "Highlight Color": "Highlight Color",
          "Adaptive Theme": "Adaptive Theme",
          "presentation": "Presentation Mode",
          "uwufymode": "UwU-fied Mode",
          "devmoretaps": "You are %s taps away from Developer Mode.",
          "devactivated": "Developer Mode successfully activated.",
          "devsettings": "Developer Settings",
          "devmode": "Developer Mode",
          "copy_jwt": "Copy JWT",
          "welcome_msg": "Welcome Message",
          "default": "Dynamic",
          "edit_welcome_msg": "Edit welcome message",
          "shadow_effect": "Shadow Effect",
          "app_icon": "App Icon",
          "settings": "Settings",
          "personalization": "Personalization",
          "edit": "Edit",
          "switch_account": "Switch Account",
          "subjects": "Subjects",
          "select_subject": "Select Subject",
          "own_paints": "Own Paints",
          "dl_paint": "Redeemed",
          "public_paint": "Public Paints",
          "no_pub_paint": "No Public Paints",
          "enter_id": "Enter Paint ID",
          "paint_id": "Paint ID...",
          "set_as_current": "Set as current",
          "share_subj_theme": "Share Theme",
          "no_name": "Untitled Paint",
          "current_paint": "Current Paint",
          "rename_subjects": "Rename Subjects",
          "rename_teachers": "Rename Teachers",
          "show_breaks": "Show Breaks",
          "fonts": "Fonts",
          "font_family": "Font Family",
          "calendar_sync": "Calendar Sync",
          "choose_account": "Choose Account",
          "your_account": "Your Account",
          "show_renamed": "Renamed teachers/subjects",
          "show_teacher": "Teacher name in description",
          "show_exams": "Show Exams (📝)",
          "options": "Options",
          "description": "Description",
          "location": "Location",
          "room_num_location": "Location of Room Number",
          "choose_calendar": "Choose calendar",
          'change_account': 'Change Account (Logout)',
          "soon": "Soon",
          "new_colors": "New Colors",
          "exp_settings": "Export Settings",
          "manage_subs": "Manage Subscription",
          "copy_plus_id": "Copy reFilc+ ID",
          // grade streak
          "grade_streak": "Grade 5 Streak",
          "grade_streak_subtitle": "So many 5s in a row?!",
          // other
          "only_ch_title_font": "Font Only for Titles",
          "new_popups": "New Popups",
          "export_method": "Export Method",
          "grade_exporting": "Grade Exporting",
        },
        "hu_hu": {
          "heads_up": "Figyelem!",
          "export_warning": "Az exportált jegyek jelenleg még nem megtekinthetők a reFilc-ben, csak te magad tudod átnézni őket JSON formátumban. A jövőben ez a funkció bővülni fog, és a jegyeket meg is tekintheted majd a reFilc felületén.",
          "personal_details": "Személyes információk",
          "open_dkt": "DKT megnyitása",
          "edit_nickname": "Becenév szerkesztése",
          "edit_profile_picture": "Profil-kép szerkesztése",
          "remove_profile_picture": "Profil-kép törlése",
          "select_profile_picture": "a kép kiválasztásához",
          "click_here": "Kattints ide",
          "light": "Világos",
          "dark": "Sötét",
          "system": "Rendszer",
          "add_user": "Felhasználó hozzáadása",
          "log_out": "Kijelentkezés",
          "update_available": "Frissítés elérhető",
          "general": "Általános",
          "language": "Nyelv",
          "startpage": "Kezdőlap",
          "rounding": "Kerekítés",
          "appearance": "Kinézet",
          "theme": "Téma",
          "color": "Színek",
          "grade_colors": "Jegyek színei",
          "live_activity_color": "Live Activity színe",
          "notifications": "Értesítések",
          "popups": "Pop-up értesítések",
          "news": "Hírek",
          "extras": "Extrák",
          "about": "Névjegy",
          "supporters": "Támogatók",
          "privacy": "Adatvédelmi irányelvek",
          "licenses": "Licencek",
          "vibrate": "Rezgés",
          "voff": "Ki",
          "vlight": "Gyenge",
          "vmedium": "Normál",
          "vstrong": "Erős",
          "cancel": "Mégsem",
          "done": "Kész",
          "reset": "Visszaállítás",
          "open": "Megnyitás",
          "data_collected":
              "Gyűjtött adat: platform (pl.: iOS), app verzió (pl.: 5.0.0), egyedi telepítési azonosító",
          "Analytics": "Analitika",
          "Anonymous Usage Analytics": "Névtelen használati analitika",
          "graph_class_avg": "Osztályátlag a grafikonon",
          "goodstudent": "Jó tanuló mód",
          "attention": "Figyelem!",
          "goodstudent_disclaimer":
              "A reFilc minden felelősséget elhárít a funkció használatával kapcsolatban.\n\n(Értsd: ha az anyád megver, mert megtévesztő ábrákat mutattál neki, azért csakis magadat hibáztathatod.)",
          "understand": "Értem",
          "secret": "Titkos Beállítások",
          "bell_delay": "Csengő eltolódása",
          "delay": "Késleltetés",
          "hurry": "Siettetés",
          "sync": "Szinkronizálás",
          "sync_help": "Csengetéskor nyomd meg a Szinkronizálás gombot.",
          "surprise_grades": "Meglepetés jegyek",
          "icon_pack": "Ikon séma",
          "change_username": "Becenév beállítása",
          "Accent Color": "Egyedi szín",
          "Background Color": "Háttér színe",
          "Highlight Color": "Panelek színe",
          "Adaptive Theme": "Adaptív téma",
          "presentation": "Bemutató mód",
          "uwufymode": "UwU mód",
          "devmoretaps": "Még %s koppintásra vagy a Fejlesztői módtól.",
          "devactivated": "Fejlesztői mód sikeresen aktiválva.",
          "devsettings": "Fejlesztői Beállítások",
          "devmode": "Fejlesztői mód",
          "copy_jwt": "JWT másolása",
          "welcome_msg": "Üdvözlő üzenet",
          "default": "Dinamikus",
          "edit_welcome_msg": "Üdvözlő üzenet szerkesztése",
          "shadow_effect": "Árnyékhatás",
          "app_icon": "Alkalmazásikon",
          "settings": "Beállítások",
          "personalization": "Személyre szabás",
          "edit": "Szerkesztés",
          "switch_account": "Fiókváltás",
          "subjects": "Tantárgyak",
          "select_subject": "Válassz tantárgyat",
          "own_paints": "Saját témák",
          "dl_paint": "Beszerzett",
          "public_paint": "Nyilvános témák",
          "no_pub_paint": "Nincsenek nyilvános festékek",
          "enter_id": "Azonosító megadása",
          "paint_id": "Téma azonosító...",
          "set_as_current": "Beállítás jelenleginek",
          "share_subj_theme": "Téma Megosztás",
          "no_name": "Névtelen téma",
          "current_paint": "Jelenlegi téma",
          "rename_subjects": "Tantárgyak átnevezése",
          "rename_teachers": "Tanárok átnevezése",
          "show_breaks": "Szünetek megjelenítése",
          "fonts": "Betűk",
          "font_family": "Betűtípus",
          "calendar_sync": "Naptár szinkronizálás",
          "choose_account": "Válassz fiókot",
          "your_account": "Fiókod",
          "show_renamed": "Átnevezett tanárok/tantárgyak",
          "show_teacher": "Tanár neve a leírásba",
          "show_exams": "Számonkérések jelölése (📝)",
          "options": "Beállítások",
          "description": "Leírás",
          "location": "Helyszín",
          "room_num_location": "Teremszám helye",
          "choose_calendar": "Válassz naptárat",
          "change_account": "Fiók cseréje (Kijelentkezés)",
          "soon": "Hamarosan",
          "new_colors": "Új színek",
          "exp_settings": "Beállítások exportálása",
          "manage_subs": "Előfizetés kezelése",
          "copy_plus_id": "reFilc+ ID másolása",
          // grade streak
          "grade_streak": "5-ös sorozat",
          "grade_streak_subtitle": "Egymás után ennyi 5-ös?!",
          // other
          "only_ch_title_font": "Betűtípus csak címekre",
          "new_popups": "Új felugró ablakok",
          "export_method": "Exportálási mód",
          "grade_exporting": "Jegy exportálás",
        },
        "de_de": {
          "heads_up": "Achtung!",
          "export_warning": "Exportierte Tickets sind derzeit noch nicht in reFilc einsehbar, Sie können sie nur selbst im JSON- Format überprüfen. In Zukunft wird diese Funktionalität erweitert und Sie werden die Tickets in der reFilc-Oberfläche anzeigen können",
          "personal_details": "Persönliche Angaben",
          "open_dkt": "Öffnen RDZ",
          "edit_nickname": "Spitznamen bearbeiten",
          "edit_profile_picture": "Profilbild bearbeiten",
          "remove_profile_picture": "Profilbild entfernen",
          "select_profile_picture": "um ein Bild auszuwählen",
          "click_here": "Klick hier",
          "light": "Licht",
          "dark": "Dunkel",
          "system": "System",
          "add_user": "Benutzer hinzufügen",
          "log_out": "Abmelden",
          "update_available": "Update verfügbar",
          "general": "Allgemein",
          "language": "Sprache",
          "startpage": "Startseite",
          "rounding": "Rundung",
          "appearance": "Erscheinungsbild",
          "theme": "Thema",
          "color": "Farbe",
          "grade_colors": "Grad Farben",
          "live_activity_color": "Live Activity Farben",
          "notifications": "Mitteilung",
          "popups": "Popup-Nachrichten",
          "news": "Nachrichten",
          "extras": "Extras",
          "about": "Informationen",
          "supporters": "Unterstützer",
          "privacy": "Datenschutzbestimmungen",
          "licenses": "Lizenzen",
          "vibrate": "Vibration",
          "voff": "Aus",
          "vlight": "Leicht",
          "vmedium": "Mittel",
          "vstrong": "Stark",
          "cancel": "Abbrechen",
          "done": "Fertig",
          "reset": "Zurücksetzen",
          "open": "Öffnen",
          "data_collected":
              "Erhobene Daten: Plattform (z.B. iOS), App version (z.B. 5.0.0), Eindeutige Installationskennung",
          "Analytics": "Analytik",
          "Anonymous Usage Analytics": "Anonyme Nutzungsanalyse",
          "graph_class_avg": "Klassendurchschnitt in der Grafik",
          "goodstudent": "Guter Student Modus",
          "attention": "Achtung!",
          "goodstudent_disclaimer":
              "reFilc kann nicht für die Nutzung dieser Funktion haftbar gemacht werden.\n\n(Wenn deine Mutter dich verprügelt, weil du ihr falsche Noten gezeigt hast, kannst du dir nur die Schuld dafür geben)",
          "understand": "Ich verstehe",
          "secret": "Geheime Einstellungen",
          "bell_delay": "Klingelverzögerung",
          "delay": "Verzögern",
          "hurry": "Eile",
          "sync": "Synchronisieren",
          "sync_help": "Drücken Sie die Sync-Taste, wenn die Glocke läutet.",
          "surprise_grades": "Überraschungsnoten",
          "icon_pack": "Icon-Pack",
          "change_username": "Einen Spitznamen festlegen",
          "Accent Color": "Accent Color",
          "Background Color": "Background Color",
          "Highlight Color": "Highlight Color",
          "Adaptive Theme": "Adaptive Theme",
          "presentation": "Präsentationsmodus",
          "uwufymode": "UwU-Modus",
          "devmoretaps": "Sie sind %s Taps vom Entwicklermodus entfernt.",
          "devactivated": "Entwicklermodus erfolgreich aktiviert.",
          "devsettings": "Entwickleroptionen",
          "devmode": "Entwicklermodus",
          "copy_jwt": "JWT kopieren",
          "welcome_msg": "Willkommensnachricht",
          "default": "Dynamisch",
          "edit_welcome_msg": "Begrüßungsnachricht bearbeiten",
          "shadow_effect": "Schatteneffekt",
          "app_icon": "App-Symbol",
          "settings": "Einstellungen",
          "personalization": "Personalisierung",
          "edit": "Bearbeiten",
          "switch_account": "Benutzer wechseln",
          "subjects": "Themen",
          "select_subject": "Fach auswählen",
          "own_paints": "Meine Themen",
          "dl_paint": "Eingelöst",
          "public_paint": "Öffentliche Themen",
          "no_pub_paint": "Keine öffentlichen Anstriche",
          "enter_id": "Themen-ID eingeben",
          "paint_id": "Themen-ID...",
          "set_as_current": "Als aktuell einstellen",
          "share_subj_theme": "Thema Teilen",
          "no_name": "Anonymes Thema",
          "current_paint": "Aktuelles Thema",
          "rename_subjects": "Fächer umbenennen",
          "rename_teachers": "Lehrer umbenennen",
          "show_breaks": "Pausen anzeigen",
          "fonts": "Schriftarten",
          "font_family": "Schriftfamilie",
          "calendar_sync": "Kalender-Synchronisation",
          "choose_account": "Konto auswählen",
          "your_account": "Ihr Konto",
          "show_renamed": "Umbenannte Lehrer/Fächer",
          "show_teacher": "Name des Lehrers in der Beschreibung",
          "show_exams": "Prüfungen anzeigen (📝)",
          "options": "Optionen",
          "description": "Beschreibung",
          "location": "Ort",
          "room_num_location": "Standort der Zimmernummer",
          "choose_calendar": "Kalender wählen",
          "change_account": "Konto ändern (Abmeldung)",
          "soon": "Bald",
          "new_colors": "Neue Farben",
          "exp_settings": "Einstellungen exportieren",
          "manage_subs": "Abonnement verwalten",
          "copy_plus_id": "reFilc+ ID kopieren",
          // grade streak
          "grade_streak": "5er-Streak",
          "grade_streak_subtitle": "So viele 5er in Folge?!",
          // other
          "only_ch_title_font": "Schriftart nur für Titel",
          "new_popups": "Neue Popups",
          "export_method": "Exportmethode",
          "grade_exporting": "Noten exportieren",
        },
      };

  String get i18n => localize(this, _t);
  String fill(List<Object> params) => localizeFill(this, params);
  String plural(int value) => localizePlural(value, this, _t);
  String version(Object modifier) => localizeVersion(modifier, this, _t);
}
